import { useContext as n } from "react";
import { useStore as s } from "zustand";
import { AreasContext as u } from "../../contexts/AreasContext/index.js";
function a(e, o) {
  const r = n(u);
  if (!r)
    throw new Error("useAreasStore must be used inside AreasContext");
  return s(r, e, o);
}
function c() {
  return a((e) => {
    const o = e.currentAreaId, r = o ? e.hashAreas[o] : void 0;
    return r?.maximizedId ? r.layoutItemsIds.filter(
      (t) => e.hashWindows[t]?.emergeType === "layout"
    ).length > 1 : !1;
  });
}
export {
  c as useAreasHasExpandedModule,
  a as useAreasStore
};
